> ## Documentation Index
> Fetch the complete documentation index at: https://docs.geekflare.com/llms.txt
> Use this file to discover all available pages before exploring further.

# DNSSEC



## OpenAPI

````yaml POST /dnssec
openapi: 3.1.0
info:
  title: Geekflare
  description: Official OpenAPI specification for all Geekflare endpoints.
  version: 1.0.0
  license:
    name: MIT
servers:
  - url: https://api.geekflare.com
security:
  - x-api-key: []
paths:
  /dnssec:
    post:
      tags:
        - api-tool
      summary: Check if DNSSEC is enabled for a domain
      operationId: dnsSec
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DnsSecDto'
      responses:
        '200':
          description: DNSSEC test result retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DnsSecResponseDto'
        '400':
          description: Invalid URL.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseErrorResponseDto'
              example:
                timestamp: 1700000000000
                apiStatus: failure
                apiCode: 400
                message: INVALID_URL
                details: The URL must be a valid HTTP or HTTPS URL.
        '500':
          description: DNSSEC check failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseErrorResponseDto'
              example:
                timestamp: 1700000000000
                apiStatus: failure
                apiCode: 500
                message: DNSSEC_CHECK_FAILED
                details: DNSSEC validation failed due to an internal processing error.
        '502':
          description: DNSSEC query failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseErrorResponseDto'
              example:
                timestamp: 1700000000000
                apiStatus: failure
                apiCode: 502
                message: DNSSEC_QUERY_FAILED
                details: DNSSEC query failed for the requested domain.
        '504':
          description: DNS server timed out.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseErrorResponseDto'
              example:
                timestamp: 1700000000000
                apiStatus: failure
                apiCode: 504
                message: DNSSEC_TIMEOUT
                details: DNSSEC query timed out while contacting the DNS server.
components:
  schemas:
    DnsSecDto:
      type: object
      properties:
        url:
          type: string
          description: Target URL
          example: https://example.com
      required:
        - url
    DnsSecResponseDto:
      type: object
      properties:
        timestamp:
          type: number
          description: Timestamp of the request in milliseconds
          example: 1783943217189
        apiStatus:
          type: string
          description: API status message
          example: success
          enum:
            - success
            - failure
        apiCode:
          type: number
          description: API status code
          example: 200
        meta:
          description: Metadata about the DNSSEC test
          allOf:
            - $ref: '#/components/schemas/DnsSecMetaDto'
        data:
          description: DNSSEC test result data
          allOf:
            - $ref: '#/components/schemas/DnsSecDataDto'
      required:
        - timestamp
        - apiStatus
        - apiCode
        - meta
        - data
    BaseErrorResponseDto:
      type: object
      properties:
        timestamp:
          type: number
          description: Timestamp of the request in milliseconds
          example: 1778737930991
        apiStatus:
          type: string
          description: API status message
          example: success
          enum:
            - success
            - failure
        apiCode:
          type: number
          description: API status code
          example: 200
        message:
          type: string
          description: Error message
          example: Invalid URL provided
        details:
          type: string
          description: Detailed error information
          example: The URL must be a valid HTTP or HTTPS URL
      required:
        - timestamp
        - apiStatus
        - apiCode
        - message
    DnsSecMetaDto:
      type: object
      properties:
        url:
          type: string
          description: The tested domain name
          example: example.com
        test:
          description: Metadata about the test execution
          allOf:
            - $ref: '#/components/schemas/TestMetaDto'
      required:
        - url
        - test
    DnsSecDataDto:
      type: object
      properties:
        isEnabled:
          type: boolean
          description: Indicates if DNSSEC is enabled for the domain
          example: true
        dnskey:
          description: List of DNSKEY records if DNSSEC is enabled
          example:
            - >-
              DNSKEY 256 3 13
              oJMRESz5E4gYzS/q6XDrvU1qMPYIjCWzJaOau8XNEZeqCYKD5ar0IRd8
              KqXXFJkqmVfRvMGPmM1x8fGAa2XhSA==
          type: array
          items:
            type: string
        rrsig:
          description: List of RRSIG records if DNSSEC is enabled
          example:
            - >-
              RRSIG DNSKEY 13 2 3600 20251124121323 20250924121323 2371
              geekflare.com.
              LUeqKWfw4GcaqSaCbFT7ik6mTgFdWsRdVzn1hHGSwMGZ4HuwlVFB3e1K
              9Os+4DnxyYNkfWkBHJcBfFN7e4snHg==
          type: array
          items:
            type: string
      required:
        - isEnabled
    TestMetaDto:
      type: object
      properties:
        id:
          type: string
          description: Unique test identifier
          example: mxqx9v9y0742lap6altwdteqd28t23nq
      required:
        - id
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key
      description: API Key required for all endpoints

````